## net.sf.statcvs.reports
Class DevelopersRollingTableReport

    java.lang.Object
      net.sf.statcvs.reports.AbstractRollingLocTableReport
          net.sf.statcvs.reports.DevelopersRollingTableReport

All Implemented Interfaces:
  TableReport

    public class DevelopersRollingTableReport

extends AbstractRollingLocTableReport
implements TableReport

Table report which creates a table containing the names of all developers, their LOC contributions and number of changes over the last n months.

Version:
  $Id: DevelopersRollingTableReport.java,v 1.2 2009/03/11 16:28:45 benoitx Exp $
Author:
  Benoit Xhenseval

Field Summary

Fields inherited from class net.sf.statcvs.reports.AbstractRollingLocTableReport
`SORT_BY_LINES, SORT_BY_NAME`

Constructor Summary
`DevelopersRollingTableReport(ReportConfig config)` Creates a table report containing all authors, their number of changes and LOC contributions.

Method Summary
`void` `calculate()` Calculates the report from the source data.
`Table` `getTable()` Returns the table data model.

Methods inherited from class net.sf.statcvs.reports.AbstractRollingLocTableReport
`calculateChangesAndLinesPerDeveloper, createChangesAndLinesTable, getContent, getDeveloperCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DevelopersRollingTableReport

    public DevelopersRollingTableReport(ReportConfig config)

  Creates a table report containing all authors, their number of changes and LOC contributions.

  Parameters:
    `content` - the version control source data

Method Detail

### calculate

    public void calculate()

  Description copied from interface: `TableReport`
  Calculates the report from the source data.

  Specified by:
    `calculate` in interface `TableReport`
  See Also:
    `TableReport.calculate()`

### getTable

    public Table getTable()

  Description copied from interface: `TableReport`
  Returns the table data model.

  Specified by:
    `getTable` in interface `TableReport`
  Returns:
    the table data model
  See Also:
    `TableReport.getTable()`